Index: main/acl.c
===================================================================
--- main/acl.c	(revision 357542)
+++ main/acl.c	(working copy)
@@ -748,7 +748,10 @@
 	if (gethostname(ourhost, sizeof(ourhost) - 1)) {
 		ast_log(LOG_WARNING, "Unable to get hostname\n");
 	} else {
+		int port = ast_sockaddr_port(ourip);
 		if (resolve_first(ourip, ourhost, PARSE_PORT_FORBID, family) == 0) {
+			/* reset port since resolve_first wipes this out */
+			ast_sockaddr_set_port(ourip, port);
 			return 0;
 		}
 	}
